/**
 * \file gre/uiviewcommon.h
 * \brief User Interface classes for VIEWCOMMON
 *
 * \if NODOC
 * $Id: uiviewcommon.h_v 1.2 2011/11/28 17:22:39 mju Exp $
 *
 * $Log: uiviewcommon.h_v $
 * Revision 1.2  2011/11/28 17:22:39  mju
 * Fix dox dependencies.
 *
 * Revision 1.1  2007/10/04 21:06:54  mju
 * Initial revision
 * \endif
**/

#ifndef	INC_GRE_UIVIEWCOMMON_H
#define	INC_GRE_UIVIEWCOMMON_H

#ifndef	INC_GRE_VIEWCOMMON_H
#include <gre/viewcommon.h>
#endif

#ifndef	INC_MGUI_FORM
#include <mgui/form.h>
#endif


namespace GRE {

//===================================================================================================================
//!	Form for modifying GRE::VIEWCOMMON.
class VIEWCOMMON::FORM : public MGUI::FORM_COMPOSITE {
	public:

		//! Constructor.
		FORM (
			);

		//! Destructor.
		virtual ~FORM (
			);

		//! Create the form.
		void Create (
			MGUI::LAYOUT_PANE_BASE& ParentPane
			);

		//! Get current value settings.
		void GetValues (
			VIEWCOMMON& values
			) const;

		//! Set new values.
		void SetValues (
			const VIEWCOMMON& values		//!< New values to set
			);

	private:
		#ifndef GENERATING_DOXYGEN_OUTPUT
		class PRIV;
		PRIV *m_pPriv;
		#endif // GENERATING_DOXYGEN_OUTPUT
	};

//===================================================================================================================
//!	Form for modifying GRE::VIEWCOMMON snapshot values.
class VIEWCOMMON::FORM_SNAPSHOT : public MGUI::FORM_COMPOSITE {
	public:

		//! Constructor.
		FORM_SNAPSHOT (
			);

		//! Destructor.
		virtual ~FORM_SNAPSHOT (
			);

		//! Create the form.
		void Create (
			MGUI::LAYOUT_PANE_BASE& ParentPane
			);

		//! Get current value settings.
		void GetValues (
			VIEWCOMMON& values				//!< Values passed/returned, only snapshot members altered
			) const;

		void SetDelegateOnChange (
			DELEGATE_VOID_NOPARMS delegate
			);

		//! Set new values.
		void SetValues (
			const VIEWCOMMON& values		//!< New values to set
			);

	private:
		#ifndef GENERATING_DOXYGEN_OUTPUT
		class PRIV;
		PRIV *m_pPriv;
		#endif // GENERATING_DOXYGEN_OUTPUT
	};

//===================================================================================================================

}	// End namespace GRE

#endif	// INC_GRE_UIVIEWCOMMON_H
