/*****************************************************************************
 * \file <mgui/dlglogindbpostgres.h>
 * \brief MGUI::DLG_LOGIN_DB_POSTGRES definitions.
 *
 * \if NODOC
 * $Id: dlglogindbpostgres.h_v 1.5 2011/06/21 19:44:11 mju Exp $
 *
 * $Log: dlglogindbpostgres.h_v $
 * Revision 1.5  2011/06/21 19:44:11  mju
 * Rename.
 *
 * Revision 1.4  2006/04/14 19:09:49  dwilliss
 * Added support for schema prompting
 *
 * Revision 1.3  2006/03/28 18:08:48  dwilliss
 * rewrite to put most of it in a base class
 *
 * Revision 1.1  2005/12/02 22:17:26  dwilliss
 * Initial revision
 * \endif
 ****************************************************************************/

#ifndef INC_MGUI_DLGLOGINDBPOSTGRES_H
#define INC_MGUI_DLGLOGINDBPOSTGRES_H

#ifndef INC_MGUI_DLGLOGINDB_H
#include <mgui/dlglogindb.h>
#endif

namespace MGUI {

//=====================================================================================================================

//! Dialog to login to PostGRES database.
class DLG_LOGIN_DB_POSTGRES : public MGUI::DLG_LOGIN_DB {
	public:

		DLG_LOGIN_DB_POSTGRES ();

		virtual ~DLG_LOGIN_DB_POSTGRES ();

	private:
		#ifndef GENERATING_DOXYGEN_OUTPUT

		void v_GetConnectionString (
			MISTRING& ConnectionString,
			bool bForGettingDatabaseList,
			const MISTRING& Host,
			const MISTRING& User,
			const MISTRING& Password,
			const MISTRING& Database,
			const MISTRING& Schema,
			INT32 port
			);

		virtual const char* v_GetDefaultDatabaseName () const;
		virtual const char* v_GetDefaultSchemaName () const;
		virtual INT32 v_GetDefaultPort () const;
		virtual const char* v_GetINIGroup () const;
		virtual ERRVALUE v_GetSchemaList (MISTRINGLIST& List);
		virtual bool v_ShowSchemaSelection () const;

		#endif
	};

//=====================================================================================================================

}	// End namespace MGUI

#endif // INC_MGUI_DLGLOGINDBPOSTGRES_H
