/**
 * \file mi32/regiontype.h
 * \brief REGIONTYPE definitions
 *
 * \if NODOC
 * $Id: regiontype.h_v 1.1 2012/05/25 15:39:34 mju Exp $
 *
 * $Log: regiontype.h_v $
 * Revision 1.1  2012/05/25 15:39:34  mju
 * Initial revision
 *
 * \endif
**/

#ifndef	INC_MI32_REGIONTYPE_H
#define	INC_MI32_REGIONTYPE_H

#ifndef	INC_MI32_ENUMSET_H
#include <mi32/enumset.h>
#endif

//! General geometric region type within some containing N-d space.
//! Does not explicitly specify dimensionality of containing space (2D vs 3D), though it can be
//! generally assumed that the dimension of the space is compatible.
//! Does not specify whether region may be disjoint (eg, multiple instances).
enum REGIONTYPE {
	REGIONTYPE_Null =		0,
	REGIONTYPE_Point =	1,
	REGIONTYPE_Line =		2,
	REGIONTYPE_Area =		3,
	REGIONTYPE_Volume =	4,
	REGIONTYPE_LAST
	};

typedef ENUMSET<REGIONTYPE,REGIONTYPE_LAST> REGIONTYPESET;

#endif	// INC_MI32_REGIONTYPE_H
