/**
 * \file rvc/dbconst.h 
 * \brief interface for the RVC::DBCONSTRAINT class.
 *
 * \if NODOC
 * $Id: dbconst.h_v 1.9 2005/01/19 23:21:34 scowan Exp $
 *
 * $Log: dbconst.h_v $
 * Revision 1.9  2005/01/19 23:21:34  scowan
 * Support of descriptor class.
 *
 * Revision 1.8  2003/10/07 17:35:52  scowan
 * Object virtual method changes.
 *
 * Revision 1.7  2003/09/30 16:52:06  dwilliss
 * Doxygen
 *
 * Revision 1.6  2003/09/25 21:20:04  dwilliss
 * Fixed doxygen comment
 *
 * Revision 1.5  2003/09/15 13:49:45  fileserver!dwilliss
 * Doxygen
 *
 * Revision 1.4  2001/06/15 19:02:37  scowan
 * More const.
 *
 * Revision 1.3  2001/06/14 22:03:07  scowan
 * Added to RVC namespace.
 *
 * Revision 1.2  2000/10/19 17:52:09  scowan
 * Checked in for vacation.
 *
 * Revision 1.1  2000/09/29 19:59:29  scowan
 * Initial revision
 *
 * \endif
**/

//!	\class RVC::DBCONSTRAINT rvc/dbcad.h
//!	\brief Manages RVC::OBJTYPE_DatabaseConstraint objects.
//!
//!	RVC Object Types that this class supports: RVC::OBJTYPE_DatabaseConstraint
//!
//!	Default RVC Object Type for this class: RVC::OBJTYPE_DatabaseConstraint
//!
//!	Valid parents for this class:
//!		- RVC::OBJTYPE_Table
//!
//!	Read() and Write() methods inherited from RVC::SIMPLE class.  INI Handle from RVC::INITEXT class.
//!	View RVC::SIMPLE and RVC::INITEXT docs for inherited methods

#ifndef INC_RVC_DBCONST_H
#define INC_RVC_DBCONST_H

#ifndef INC_RVC_INITEXT_H
	#include <rvc/initext.h>
#endif

namespace RVC {

class DBCONSTRAINT : public RVC::INITEXT {
	public:
		DBCONSTRAINT (
			);

		DBCONSTRAINT (
			const RVC::DBCONSTRAINT& rhs
			);

		virtual ~DBCONSTRAINT (
			);

		RVC::DBCONSTRAINT& operator= (
			const RVC::DBCONSTRAINT& rhs
			);

	private:
		#ifndef GENERATING_DOXYGEN_OUTPUT

		//! Implementation of RVC::OBJECT virtual methods
		virtual OBJTYPE v_GetDftObjectType () const;

		//! Implementation of RVC::SIMPLE virtual methods
		virtual ERRVALUE v_GetDftNameDesc (const OBJECT& parent, DESCRIPTOR& Descriptor);
		#endif // GENERATING_DOXYGEN_OUTPUT

	};

}		//! End of RVC namespace

#endif		//!< INC_RVC_DBCONST_H
